Subject: Re: [bug#50663] Add Mycroft - Voice Assistant

From: phodina <[email-masked]>
Date: Wed, 26 Jan 2022 12:53:09 +0000

Hi Efraim and Nicolas,

> On Mon, Jan 24, 2022 at 11:45:13PM +0100, Nicolas Goaziou wrote:
>
> > Hello,
> >
> > phodina via Guix-patches via [email-masked] writes:
> >
> > > The aim of this patch set is to bring in the MyCroft - private and
> > >
> > > open Voice Assistant.
> >
> > Thank you.
> >
> > I fixed some descriptions, removed labels from inputs, fixed compilation
> >
> > with GCC 10 (for Mimic). Then I tried to apply the patch set. Alas
> >
> > Mycroft core fails to build. You may want to have a look at it.
> >
> > I'm sending back the updated patches to you, if that helps.
> >
> > Regards,
> > --------
> >
> > Nicolas Goaziou
>
> I made some changes to python-mycroft-core but I couldn't get it to pass
>
> the sanity-check or the test suite. I've attached my changes. Also make
>
> sure you sort the inputs alphabetically, I found at least a duplicate
>
> python-pyxdg. Also some of the patches include a line or two of
>
> unrelated indentation changes in other packages.
>
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Efraim Flashner [email-masked] רנשלפ םירפא
>
> GPG key = A28B F40C 3E55 1372 662D 14F7 41AA E7DC CA3D 8351
>
> Confidentiality cannot be guaranteed on emails sent or received unencrypted

Thanks for the review and updated patches. I'll check the reason why it won't build and failing tests.

----
Petr